# Integrations

### [Backend Integration](/hypersign-kyc/kyc-widget/integrations/backend-integration.md)

1. Integrate Service Authentication API and generate `accessTokens` in your backend.
2. Integrate Session API of KYC service and generate `sessionId` in your backend.

### [**Frontend Integration**](/hypersign-kyc/kyc-widget/integrations/frontend-integration.md)

1. Prepare widget URL and embed the URL in your frontend.&#x20;
2. Listen events from widget for verification result.&#x20;

{% hint style="info" %}
You can also request user data from KYC service using `idToken` you receive.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypersign.id/hypersign-kyc/kyc-widget/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
